Bug 74274 - xkeyboard-config-2.11 breaks dot key on keypad (French/Italian layout)
Summary: xkeyboard-config-2.11 breaks dot key on keypad (French/Italian layout)
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-31 11:27 UTC by Laurent carlier
Modified: 2014-02-05 11:02 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Back out cf93beb - restore numeric keypad separator for FR/IT/NL (2.02 KB, patch)
2014-02-04 14:48 UTC, Egbert Eich
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent carlier 2014-01-31 11:27:29 UTC
After upgrading xkeyboard-config with French keyboard.

dot key is not giving anymore a dot on screen, but a comma instead

https://bugs.archlinux.org/task/38743
Comment 1 FiNeX 2014-02-02 14:02:58 UTC
I confirm this bug with the IT layout, not only the FR. Please switch back to the previous behavior. This bug completely breaks the keyboard usage.

Thanks.
Comment 2 FiNeX 2014-02-02 14:09:47 UTC
This is the wrong commit:

http://cgit.freedesktop.org/xkeyboard-config/commit/?id=cf93beb47f9907946dd72ca4d481ffbbbadda53a

I understand the SI discussion, but I don't agree at all.

Italian users are used to have the DOT on that key, so changing it is very annoying.

Please revert the commit: Italian keyboard have a "DOT" not a "COMMA" on the <KPDL> key. The "DOT" is the default char and it's always printed on the key.

Thanks.
Comment 3 Egbert Eich 2014-02-04 14:46:01 UTC
Right. The key should return what's imprinted on it. From looking at pictures I believe that this is true also for the Dutch (NL) keyboard.
Comment 4 Egbert Eich 2014-02-04 14:48:43 UTC
Created attachment 93361 [details] [review]
Back out cf93beb - restore numeric keypad separator for FR/IT/NL

This reverts commit cf93beb47f9907946dd72ca4d481ffbbbadda53a

  Let <KPDL> key on it,fr and nl keyboards generate KP_Separator.

  Notwithstanding the never ending discussion what character this
  key on the numeric keypad should produce this key should produce
  what is imprinted on the keyboards. After all all three countries
  are observing the SI standards.
  This makes this layout more consistent and match for instance
  what is done in the de layout.

It turned out that the information about the keypad separator
for the fr, it and nl keyboard layouts were obtained from what
glibc sets as delimiter for the respective language.
This however doesn't coincide what is imprinted on the keyboards
for the respective languages.
Comment 5 Egbert Eich 2014-02-04 14:54:44 UTC
I'm sorry that this happened.
Next time I will research myself before I trust what others have found.
Comment 6 Sergey V. Udaltsov 2014-02-05 11:02:38 UTC
Thank you ! Pushed!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.